Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.calendar
Class EventDetailsModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.calendar.CalendarModel
              portlets.compoze.groupware.model.calendar.EventDetailsModel

All Implemented Interfaces:
  java.io.Serializable

public class EventDetailsModel
extends CalendarModel
implements java.io.Serializable

This class represents the data model for the event details appointment page (`event_details.jsp`).

See Also:
  Serialized Form

Constructor Summary
`EventDetailsModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, CalendarPreferences calendarPrefs, Accounts accounts)` Constructor.

Method Summary
`Appointment` | `getAppointment()` Gets the appointment to edit.
`portlets.compoze.groupware.controls.provider.Provider` | `getProvider()` Gets the provider.
`java.lang.String` | `getSensitivityKeyName()` Gets the sensitivity property key name.
`boolean` | `isBusyAttributeAvailable()` Gets true if busy attribute should be shown in the user interface or false otherwise.
`boolean` | `isDelegateAttributeAvailable()` Gets true if delegate attribute should be shown in the user interface or false otherwise.
`boolean` | `isEditEventAvailable()` Gets true if edit button (edit event, etc..
`boolean` | `isMeetingTrackingAvailable()` Gets true if meeting tracking should be shown in the user interface or false otherwise.
`boolean` | `isMeetingWorkflowAvailable()` Gets true if meeting workflow buttons (accept/decline, etc..
`boolean` | `isProposeAttributeAvailable()` Gets true if propose new time attribute should be shown in the user interface or false otherwise.
`void` | `setAppointment(Appointment apt)` Sets the appointment to edit.
`void` | `setProvider(portlets.compoze.groupware.controls.provider.Provider provider)` Sets the provider.

Methods inherited from class portlets.compoze.groupware.model.calendar.CalendarModel
`getCalendarPreferences`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventDetailsModel

    public EventDetailsModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                             FeatureGroup featureGroup,
                             GroupwarePreferences groupwarePrefs,
                             CalendarPreferences calendarPrefs,
                             Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `calendarPrefs` - the calendar preferences (may not be `null`)

Method Detail

### getAppointment

    public Appointment getAppointment()

  Gets the appointment to edit.

  Returns:
    the appointment

### setAppointment

    public void setAppointment(Appointment apt)

  Sets the appointment to edit.

  Parameters:
    `apt` - the appointment

### setProvider

    public void setProvider(portlets.compoze.groupware.controls.provider.Provider provider)

  Sets the provider.

  Parameters:
    `provider` - the provider (may not be `null`)

### getProvider

    public portlets.compoze.groupware.controls.provider.Provider getProvider()

  Gets the provider.

  Returns:
    the provider

### isMeetingWorkflowAvailable

    public boolean isMeetingWorkflowAvailable()

  Gets true if meeting workflow buttons (accept/decline, etc.. ) should be shown on calendar items in the user interface or false otherwise.

  Returns:
    `true` if meeting workflow buttons (accept/decline, etc.. ) should be shown on calendar items in the user interface or `false` otherwise

### isEditEventAvailable

    public boolean isEditEventAvailable()

  Gets true if edit button (edit event, etc.. ) should be shown on calendar items in the user interface or false otherwise.

  Returns:
    `true` if edit button (edit event, etc.. ) should be shown on calendar items in the user interface or `false` otherwise

### getSensitivityKeyName

    public java.lang.String getSensitivityKeyName()

  Gets the sensitivity property key name.

  Returns:
    the sensitivity key name

### isProposeAttributeAvailable

    public boolean isProposeAttributeAvailable()

  Gets true if propose new time attribute should be shown in the user interface or false otherwise.

  Returns:
    `true` if propose new time attribute should be shown in the user interface or `false` otherwise

### isDelegateAttributeAvailable

    public boolean isDelegateAttributeAvailable()

  Gets true if delegate attribute should be shown in the user interface or false otherwise.

  Returns:
    `true` if delegate attribute should be shown in the user interface or `false` otherwise

### isMeetingTrackingAvailable

    public boolean isMeetingTrackingAvailable()

  Gets true if meeting tracking should be shown in the user interface or false otherwise.

  Returns:
    `true` if meeting tracking attribute should be shown in the user interface or `false` otherwise

### isBusyAttributeAvailable

    public boolean isBusyAttributeAvailable()

  Gets true if busy attribute should be shown in the user interface or false otherwise.

  Returns:
    `true` if busy attribute should be shown in the user interface or `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.